robotpkg/wip/sot-hrprtc-hrp2 bulk build results

Log for sot-hrprtc-hrp2-1.2.2 on Ubuntu-16.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for sot-hrprtc-hrp2-1.2.2 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for sot-hrprtc-hrp2-1.2.2 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.20 found => Required system package gzip: gzip-1.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.3: pkgrepo2deb-1.3 found ===> Done bootstrap-depends for sot-hrprtc-hrp2-1.2.2 ===> Installing full dependencies for sot-hrprtc-hrp2-1.2.2 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/dynamic-graph-2.5.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/dynamic-graph-bridge-2.0.9.tgz => Dependency dynamic-graph-bridge-msgs-0.2.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/hrp2-14-1.9.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-16.04-x86_64/All/hrp2-14-description-1.0.5.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-16.04-x86_64/All/hrp2-bringup-1.0.6.tgz => Dependency hrp2-computer-monitor-1.0.2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/hrp2-dynamics-1.5.3.tgz => Dependency hrp2-machine-1.0.2 already installed => Dependency jrl-mal-1.19.6r1~jrl-mathtools already installed => Dependency py27-dynamic-graph-2.5.6r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/py27-sot-application-1.0.0r3.tgz => Dependency py27-sot-tools-1.0.1 already installed => Dependency sot-core-2.9.10 already installed => Dependency sot-dynamic-2.9.2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-16.04-x86_64/All/sot-dyninv-2.0.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/sot-pattern-generator-2.9.1.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for sot-hrprtc-hrp2-1.2.2 => Building with no option. ===> Checking alternatives for sot-hrprtc-hrp2-1.2.2 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros kinetic: ros>=groovy ros>=hydro provided by ros-kinetic ===> Checking dependencies for sot-hrprtc-hrp2-1.2.2 => Required system package bullet>=2.75: bullet-2.83 found => Required system package cmake>=2.6: cmake-3.5.1 found => Required system package doxygen>=1.5: doxygen-1.8.11 found => Required system package g++>=3: g++-5.4.0 found => Required system package gcc>=3: gcc-5.4.0 found => Required system package graphviz>=2: graphviz-2.38.0 found => Required system package libstdc++: libstdc++ found => Required system package openrtm-aist>=1 : openrtm-aist-1.1.0 found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.29.1 found => Required system package python27>=2.7<2.8: python27-2.7.12 found => Required system package ros-comm>=1.12<1.13: ros-comm-1.12.13 found => Required system package ros-message-runtime>=0.4<0.5 : ros-message-runtime-0.4.12 found => Required system package ros-realtime-tools>=1.8.2 : ros-realtime-tools-1.11.0 found => Required system package ros-std-msgs>=0.5 : ros-std-msgs-0.5.11 found => Required robotpkg package dynamic-graph>=2.5.6: dynamic-graph-2.5.7 found => Required robotpkg package dynamic-graph-bridge>=1.0.0: dynamic-graph-bridge-2.0.9 found => Required robotpkg package dynamic-graph-bridge-msgs>=0.2.0: dynamic-graph-bridge-msgs-0.2.0 found => Required robotpkg package hrp2-14>=1.7.5: hrp2-14-1.9.3 found => Required robotpkg package hrp2-14-description>=1.0.0: hrp2-14-description-1.0.5 found => Required robotpkg package hrp2-bringup>=1.0.0: hrp2-bringup-1.0.6 found => Required robotpkg package hrp2-computer-monitor>=1.0.0: hrp2-computer-monitor-1.0.2 found => Required robotpkg package hrp2-dynamics>=1.5: hrp2-dynamics-1.5.3 found => Required robotpkg package hrp2-machine>=1.0.0: hrp2-machine-1.0.2 found => Required robotpkg package jrl-mal>=1.8.3: jrl-mal-1.19.6r1~jrl-mathtools found => Required robotpkg package py27-dynamic-graph>=2.5: py27-dynamic-graph-2.5.6r1 found => Required robotpkg package py27-sot-application>=1.0.0: py27-sot-application-1.0.0r3 found => Required robotpkg package py27-sot-tools>=1.0: py27-sot-tools-1.0.1 found => Required robotpkg package sot-core>=2.5: sot-core-2.9.10 found => Required robotpkg package sot-dynamic>=2.5: sot-dynamic-2.9.2 found => Required robotpkg package sot-dyninv>=2.0.0: sot-dyninv-2.0.0r1 found => Required robotpkg package sot-pattern-generator>=2.7: sot-pattern-generator-2.9.1 found ===> Done depends for sot-hrprtc-hrp2-1.2.2 ===> Extracting for sot-hrprtc-hrp2-1.2.2 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for sot-hrprtc-hrp2-1.2.2 CMake Warning (dev) in cmake/idlrtc.cmake: Syntax Warning in cmake code at /local/robotpkg/var/tmp/robotpkg/wip/sot-hrprtc-hrp2/work/sot-hrprtc-hrp2-1.2.2/cmake/idlrtc.cmake:38:26 Argument not separated from preceding token by whitespace. Call Stack (most recent call first): CMakeLists.txt:9 (INCLUDE) This warning is for project developers. Use -Wno-dev to suppress it. CMake Warning (dev) in cmake/idlrtc.cmake: Syntax Warning in cmake code at /local/robotpkg/var/tmp/robotpkg/wip/sot-hrprtc-hrp2/work/sot-hrprtc-hrp2-1.2.2/cmake/idlrtc.cmake:43:29 Argument not separated from preceding token by whitespace. Call Stack (most recent call first): CMakeLists.txt:9 (INCLUDE) This warning is for project developers. Use -Wno-dev to suppress it. CMake Error at cmake/openhrp.cmake:61 (MESSAGE): None of the following robots (HRP2JRL;HRP2LAAS;HRP4LIRMM) were found in GRX_PREFIX-NOTFOUND. Call Stack (most recent call first): CMakeLists.txt:32 (SEARCH_GRX_ROBOTS) An unexpected error occured. The last 10 log lines are shown below. | -- Pkg-config module sot-core v2.9.10 has been detected with success. | CMake Error at cmake/openhrp.cmake:61 (MESSAGE): | None of the following robots (HRP2JRL;HRP2LAAS;HRP4LIRMM) were found in | GRX_PREFIX-NOTFOUND. | Call Stack (most recent call first): | CMakeLists.txt:32 (SEARCH_GRX_ROBOTS) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/sot-hrprtc-hrp2/work/sot-hrprtc-hrp2-1.2.2/CMakeFiles/CMakeOutput.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/sot-hrprtc-hrp2/work/configure.log make[3]: *** [do-configure-cmake] Error 1 /local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: recipe for target 'do-configure-cmake' failed /local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: recipe for target 'pkg-check-installed' failed => Marking sot-hrprtc-hrp2-1.2.2 as broken make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Deinstalling for sot-hrprtc-hrp2 Removed digest-20080510 Removing dependency jrl-mal-1.19.6r1~jrl-mathtools Removing dependency Removing dependency py27-dynamic-graph-2.5.6r1 Removing dependency sot-core-2.9.10 Removing dependency sot-pattern-generator-2.9.1 Removing dependency sot-dyninv-2.0.0r1 Removing dependency py27-sot-tools-1.0.1 Removing dependency sot-dynamic-2.9.2 Removing dependency py27-sot-application-1.0.0r3 Removing dependency dynamic-graph-bridge-2.0.9 Removed dynamic-graph-2.5.7 Removed hrp2-14-1.9.3 Removing dependency robot-capsule-urdf-1.0.1r2 Removing dependency Removing dependency hrp2-bringup-1.0.6 Removed hrp2-14-description-1.0.5 Removing dependency jrl-dynamics-1.25.0r1 Removing dependency Removed hrp2-dynamics-1.5.3 Removed tnftp-20130505~ssl